# OMPT tool tracing

## Services

- OMPT tracing.
- CodeObject tracing.
- Marker API (Core, Name).

## Properties

- Configures tool for callback tracing.
- Configures tool for buffer tracing.
- Sets up callstack for tracing kind names and tracing operation names.
- Create a specialized (throw-away) context for handling ROCTx profiler pause and resume.
- Demonstrates the use of the `ompt_data_t*` fields from OMPT.
